%global packname  mapproj
%global rlibdir  %{_libdir}/R/library

Name:             R-%{packname}
Version:          1.2.6
Release:          1%{?dist}
Summary:          Map Projections

License:          LPL
URL:              https://CRAN.R-project.org/package=%{packname}
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz

# Here's the R view of the dependencies world:
# Depends:   R-maps >= 2.3-0
# Imports:   R-stats, R-graphics
# Suggests:
# LinkingTo:
# Enhances:

Requires:         R-maps >= 2.3.0
Requires:         R-stats
Requires:         R-graphics
BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    R-maps >= 2.3.0
BuildRequires:    R-stats
BuildRequires:    R-graphics

%description
Converts latitude/longitude into projected coordinates.


%prep
%setup -q -c -n %{packname}


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
%{_bindir}/R CMD check %{packname}


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%license %{packname}/LICENSE.note
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%dir %{rlibdir}/%{packname}/libs
%{rlibdir}/%{packname}/libs/%{packname}.so


%changelog
* Tue Mar 12 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.2.6-1
- initial package for Fedora
